## kglobalacceld 6.4.91

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(kglobalacceld)

set(PROJECT_VERSION "6.4.91")

set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(FeatureSummary)
find_package(ECM ${KF6_MIN_VERSION}  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMPoQmTools)
include(ECMDeprecationSettings)
include(KDEClangFormat)
include(ECMAddTests)

# KGlobalAccelD contains functions that are marked as deprecated.
# These are part of the public DBus API and are used by older applications
# Therefore we must not exclude those by default
set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED DBus Gui Widgets)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(KF6Config ${KF6_MIN_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF6_MIN_VERSION} REQUIRED)
find_package(KF6Crash ${KF6_MIN_VERSION} REQUIRED)
find_package(KF6DBusAddons ${KF6_MIN_VERSION} REQUIRED)
find_package(KF6WindowSystem ${KF6_MIN_VERSION} REQUIRED)
find_package(KF6GlobalAccel ${KF6_MIN_VERSION} REQUIRED)
find_package(KF6Service ${KF6_MIN_VERSION} REQUIRED)
find_package(KF6KIO ${KF6_MIN_VERSION} REQUIRED)
find_package(KF6JobWidgets ${KF6_MIN_VERSION} REQUIRED)


option(WITH_X11 "Build with X11 support." ON)

if(WITH_X11)
    find_package(XCB MODULE COMPONENTS XCB KEYSYMS XKB RECORD OPTIONAL_COMPONENTS XTEST)
    set_package_properties(XCB PROPERTIES DESCRIPTION "X protocol C-language Binding"
                        TYPE REQUIRED
                        )
    set(HAVE_X11 1)
else()
    set(HAVE_X11 0)
endif()

find_program(qdbus_EXECUTABLE NAMES qdbus qdbus6 qdbus-qt6)

if (NOT qdbus_EXECUTABLE)
    message("fall")
    set(qdbus_EXECUTABLE "qdbus")
endif()

ecm_setup_version(PROJECT VARIABLE_PREFIX KGLOBALACCELD
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KGlobalAccelDConfigVersion.cmake"
                        SOVERSION 0)

ecm_set_disabled_deprecation_versions(
    QT 6.9.0
    KF 6.16.0
)

add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KGlobalAccelD")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KGlobalAccelDConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KGlobalAccelDConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KGlobalAccelDConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KGlobalAccelDConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KGlobalAccelDTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KGlobalAccelDTargets.cmake NAMESPACE K:: )


install(FILES ${kglobalaccel_version_header}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KGlobalAccel COMPONENT Devel)

ecm_qt_install_logging_categories(
    EXPORT KGLOBALACCELD
    FILE kglobalacceld.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kglobalacceld (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.
  * Update symbols from build for 6.4.91.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 11:58:05 +0200

=== debian/control ===
Source: kglobalacceld
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               dbus-x11 <!nocheck>,
               extra-cmake-modules (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6jobwidgets-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libxcb-keysyms1-dev,
               libxcb-record0-dev,
               libxcb-xkb-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/kglobalacceld
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kglobalacceld
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kglobalacceld.git
Rules-Requires-Root: no

Package: kglobalacceld
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5globalaccel-bin (<< 5.115.0-7~),
Replaces: libkf5globalaccel-bin (<< 5.115.0-7~),
Description: daemon for global keyboard shortcuts on the Plasma desktop
 Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
 Plasma desktop.
 .
 This package contains the daemon and its desktop and service files.

Package: libkglobalacceld0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: daemon for global keyboard shortcuts on the Plasma desktop - shared library
 Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
 Plasma desktop.
 .
 This package contains the shared library for interfacing with the daemon.

Package: libkglobalacceld-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkglobalacceld0 (= ${binary:Version}),
         ${misc:Depends},
Description: daemon for global keyboard shortcuts on the Plasma desktop - development files
 Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
 Plasma desktop.
 .
 This package contains the development files for the shared library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

testsuite_failing_archs := armel armhf hurd-i386 i386
ifneq (,$(filter $(DEB_HOST_ARCH),$(testsuite_failing_archs)))
  fail_param := || true
endif

%:
	dh $@

override_dh_auto_test:
	xvfb-run -a dbus-launch --exit-with-session dh_auto_test --buildsystem=kf6 $(fail_param)

## kglobalacceld 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(kglobalacceld)
 
-set(PROJECT_VERSION "6.4.91")
+set(PROJECT_VERSION "6.5.0")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== autotests/CMakeLists.txt ===
find_package(Qt6Test REQUIRED)

add_library(dummyplugin OBJECT dummy.cpp)
target_compile_definitions(dummyplugin PRIVATE QT_STATICPLUGIN)
target_link_libraries(dummyplugin K::KGlobalAccelD)

ecm_add_test(migrateconfigtest.cpp LINK_LIBRARIES Qt::Test KF6::ConfigCore KF6::Service KGlobalAccelD)
ecm_add_test(shortcutstest.cpp LINK_LIBRARIES Qt::Test KF6::ConfigCore KF6::Service KGlobalAccelD dummyplugin)

=== src/plugins/CMakeLists.txt ===
if (XCB_XCB_FOUND AND XCB_KEYSYMS_FOUND AND XCB_XKB_FOUND)
    add_subdirectory(xcb)
endif()

=== debian/changelog ===
kglobalacceld (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:36:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: kglobalacceld
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               dbus-x11 <!nocheck>,
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
-               dbus-x11 <!nocheck>,
                extra-cmake-modules (>= 6.18.0~),
                libkf6config-dev (>= 6.18.0~),
                libkf6coreaddons-dev (>= 6.18.0~),
@@ -25,21 +26,19 @@
                libxcb-xtest0-dev,
                libxcb1-dev,
                qt6-base-dev (>= 6.9.0~),
-               qt6-base-private-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kglobalacceld
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kglobalacceld
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kglobalacceld.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalacceld
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalacceld
 Rules-Requires-Root: no
 
 Package: kglobalacceld
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: libkf5globalaccel-bin (<< 5.115.0-7~),
-Replaces: libkf5globalaccel-bin (<< 5.115.0-7~),
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libkf5globalaccel-bin (<< 5.116.0-0ubuntu2~),
+Replaces: libkf5globalaccel-bin (<< 5.116.0-0ubuntu2~),
 Description: daemon for global keyboard shortcuts on the Plasma desktop
  Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
  Plasma desktop.
@@ -50,8 +49,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: daemon for global keyboard shortcuts on the Plasma desktop - shared library
  Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
  Plasma desktop.

## kglobalacceld 6.5.0+p24.04+vstable+git20251021.0859

=== debian/changelog ===
kglobalacceld (6.5.0+p24.04+vstable+git20251021.0859-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:59:18 +0000

kglobalacceld (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:18:15 +0000

## kglobalacceld 6.5.0+p24.04+vstable+git20251021.0923

=== debian/changelog ===
kglobalacceld (6.5.0+p24.04+vstable+git20251021.0923-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 09:23:47 +0000

## kglobalacceld 6.5.0+p24.04+vstable+git20251028.2231

=== debian/changelog ===
kglobalacceld (6.5.0+p24.04+vstable+git20251028.2231-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 22:31:56 +0000

## kglobalacceld 6.5.0+p24.04+vunstable+git20251021.0757

=== debian/changelog ===
kglobalacceld (6.5.0+p24.04+vunstable+git20251021.0757-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 07:57:48 +0000

## kglobalacceld 6.5.0+p24.04+vunstable+git20251021.0923

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(kglobalacceld)
 
-set(PROJECT_VERSION "6.5.0")
+set(PROJECT_VERSION "6.5.80")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
kglobalacceld (6.5.0+p24.04+vunstable+git20251021.0923-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 09:23:06 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with kf6 --buildsystem kf6

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential, xauth, xvfb, @, @builddeps@
Restrictions: build-needed

Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr

## kglobalacceld 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(kglobalacceld)
 
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.1")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== src/plugins/xcb/CMakeLists.txt ===
set(xcb_plugin_SRCS
    kglobalaccel_x11.cpp
    kglobalaccel_x11.h
    ../../logging.cpp
)

add_library(KGlobalAccelDXcb MODULE ${xcb_plugin_SRCS})
target_link_libraries(KGlobalAccelDXcb
    KGlobalAccelD
    KF6::WindowSystem
    XCB::XCB
    XCB::KEYSYMS
    XCB::XKB
    XCB::RECORD
)

install(
    TARGETS
        KGlobalAccelDXcb
    DESTINATION
        ${KDE_INSTALL_PLUGINDIR}/org.kde.kglobalacceld.platforms/
)

=== debian/changelog ===
kglobalacceld (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:08:17 +0100

kglobalacceld (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:57:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: kglobalacceld
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               dbus-x11 <!nocheck>,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
+               dbus-x11 <!nocheck>,
                extra-cmake-modules (>= 6.18.0~),
                libkf6config-dev (>= 6.18.0~),
                libkf6coreaddons-dev (>= 6.18.0~),
@@ -26,19 +25,20 @@
                libxcb-xtest0-dev,
                libxcb1-dev,
                qt6-base-dev (>= 6.9.0~),
+               qt6-base-private-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/kglobalacceld
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalacceld
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalacceld
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kglobalacceld
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kglobalacceld.git
 
 Package: kglobalacceld
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libkf5globalaccel-bin (<< 5.116.0-0ubuntu2~),
-Replaces: libkf5globalaccel-bin (<< 5.116.0-0ubuntu2~),
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: libkf5globalaccel-bin (<< 5.115.0-7~),
+Replaces: libkf5globalaccel-bin (<< 5.115.0-7~),
 Description: daemon for global keyboard shortcuts on the Plasma desktop
  Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
  Plasma desktop.
@@ -49,7 +49,8 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: daemon for global keyboard shortcuts on the Plasma desktop - shared library
  Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
  Plasma desktop.

## kglobalacceld 6.5.1+p24.04+vstable+git20251029.0645

=== debian/changelog ===
kglobalacceld (6.5.1+p24.04+vstable+git20251029.0645-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:45:11 +0000

kglobalacceld (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:42:44 +0000

## kglobalacceld 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(kglobalacceld)
 
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== src/CMakeLists.txt ===
set(kglobalaccelprivate_SRCS
    kglobalacceld.cpp
    kglobalaccel_interface.cpp
    kserviceactioncomponent.cpp
    component.cpp
    globalshortcut.cpp
    globalshortcutsregistry.cpp
    globalshortcutcontext.cpp
    sequencehelpers_p.cpp
)

configure_file(config-kglobalaccel.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kglobalaccel.h )

add_library(KGlobalAccelD ${kglobalaccelprivate_SRCS})
add_library(K::KGlobalAccelD ALIAS KGlobalAccelD)

ecm_generate_export_header(KGlobalAccelD
    EXPORT_FILE_NAME kglobalacceld_export.h
    BASE_NAME KGlobalAccelD
    VERSION ${PROJECT_VERSION}
    USE_VERSION_HEADER
    VERSION_BASE_NAME KGlobalAccel
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 4.3 5.90
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

ecm_qt_declare_logging_category(KGlobalAccelD
   HEADER logging.h
   IDENTIFIER KGLOBALACCELD
   CATEGORY_NAME kf.globalaccel.kglobalacceld
   DEFAULT_SEVERITY Warning
   DESCRIPTION "KGlobalAccelD"
   EXPORT KGLOBALACCELD
   )

target_include_directories(KGlobalAccelD INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KGlobalAccelD>")

target_link_libraries(KGlobalAccelD
    PUBLIC
        KF6::GlobalAccel
    PRIVATE
        Qt6::DBus
        KF6::WindowSystem # KKeyServer
        KF6::CoreAddons   # KAboutData
        KF6::ConfigCore
        KF6::Service
        KF6::KIOGui
        KF6::JobWidgets
)

set_target_properties(KGlobalAccelD PROPERTIES VERSION ${KGLOBALACCELD_VERSION}
                                                SOVERSION ${KGLOBALACCELD_SOVERSION}
                                                EXPORT_NAME "KGlobalAccelD"
)

target_compile_definitions(KGlobalAccelD PRIVATE -DQDBUS=${qdbus_EXECUTABLE})

if(XCB_XCB_FOUND)
    target_link_libraries(KGlobalAccelD PUBLIC Qt6::GuiPrivate) # qtx11extras_p.h
endif()

add_executable(kglobalacceld main.cpp)

target_include_directories(kglobalacceld PRIVATE ${CMAKE_BINARY_DIR})

target_link_libraries(kglobalacceld
    KGlobalAccelD
    KF6::CoreAddons
    KF6::DBusAddons   # KDBusService
    KF6::Crash
    )

add_subdirectory(plugins)

install(TARGETS KGlobalAccelD EXPORT KGlobalAccelDTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)
install(TARGETS kglobalacceld DESTINATION ${KDE_INSTALL_LIBEXECDIR})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kglobalacceld_export.h
  shortcutkeystate.h
  kglobalacceld.h
  kglobalaccel_interface.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KGlobalAccelD/ COMPONENT Devel
)

include (ECMConfiguredInstall)
ecm_install_configured_files(
   INPUT plasma-kglobalaccel.service.in
   DESTINATION ${KDE_INSTALL_SYSTEMDUSERUNITDIR}
)

ecm_install_configured_files(
    INPUT kglobalacceld.desktop.in
    DESTINATION ${KDE_INSTALL_AUTOSTARTDIR} @ONLY
)

=== debian/changelog ===
kglobalacceld (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:22:49 +0100

## kglobalacceld 6.5.2+p24.04+vunstable+git20251111.0547

=== debian/changelog ===
kglobalacceld (6.5.2+p24.04+vunstable+git20251111.0547-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 05:47:48 +0000

kglobalacceld (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:11:45 +1000

## kglobalacceld 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(kglobalacceld)
 
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
kglobalacceld (6.5.3-2) unstable; urgency=medium

  * Team upload.
  * Switch from dbus-launch to dbus-run-session to run the upstream test suite:
    (Closes: #1117077)
    - use dbus-run-session to execute dh_auto_test rather than dbus-launch
    - switch the dbus-x11 build dependency to test-only dbus-daemon
  * Make the test suite fatal again on all the architectures, as it seems to be
    working fine now.

 -- Pino Toscano <pino@debian.org>  Mon, 24 Nov 2025 08:03:46 +0100

kglobalacceld (6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:23:01 +0100

## kglobalacceld 6.5.3+p24.04+vstable+git20251122.2326

=== debian/changelog ===
kglobalacceld (6.5.3+p24.04+vstable+git20251122.2326-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 23:26:37 +0000

kglobalacceld (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:12:16 +1000

## kglobalacceld 6.5.3+p24.04+vunstable+git20251123.0117

=== debian/changelog ===
kglobalacceld (6.5.3+p24.04+vunstable+git20251123.0117-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 01:17:21 +0000

## kglobalacceld 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(kglobalacceld)
 
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.4")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
kglobalacceld (6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 20:50:49 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
-               dbus-x11 <!nocheck>,
+               dbus-daemon <!nocheck>,
                extra-cmake-modules (>= 6.18.0~),
                libkf6config-dev (>= 6.18.0~),
                libkf6coreaddons-dev (>= 6.18.0~),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_test:
	xvfb-run -a dbus-run-session dh_auto_test --buildsystem=kf6

## kglobalacceld 6.5.4+p24.04+vstable+git20251209.1106

=== debian/changelog ===
kglobalacceld (6.5.4+p24.04+vstable+git20251209.1106-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 11:06:34 +0000

kglobalacceld (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:20:31 +1000

## kglobalacceld 6.5.5

=== debian/changelog ===
kglobalacceld (6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:01:57 +0000

kglobalacceld (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:54:40 +0000

kglobalacceld (6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:17:03 +0000

kglobalacceld (6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:06:42 +0000

kglobalacceld (6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:11:22 +0000

kglobalacceld (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:45:37 +0000

=== debian/control ===
Source: kglobalacceld
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus-x11 <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6jobwidgets-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libxcb-keysyms1-dev,
               libxcb-record0-dev,
               libxcb-xkb-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               qt6-base-dev (>= 6.9.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kglobalacceld
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalacceld
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kglobalacceld
Rules-Requires-Root: no

Package: kglobalacceld
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5globalaccel-bin (<< 5.116.0-0ubuntu2~),
Replaces: libkf5globalaccel-bin (<< 5.116.0-0ubuntu2~),
Description: daemon for global keyboard shortcuts on the Plasma desktop
 Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
 Plasma desktop.
 .
 This package contains the daemon and its desktop and service files.

Package: libkglobalacceld-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkglobalacceld0 (= ${binary:Version}),
         ${misc:Depends},
Description: daemon for global keyboard shortcuts on the Plasma desktop - development files
 Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
 Plasma desktop.
 .
 This package contains the development files for the shared library.

Package: libkglobalacceld0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: daemon for global keyboard shortcuts on the Plasma desktop - shared library
 Daemon providing Global Keyboard Shortcut (Accelerator) functionality for the
 Plasma desktop.
 .
 This package contains the shared library for interfacing with the daemon.

## kglobalacceld 6.5.5+p24.04+vstable+git20260119.0156

=== debian/changelog ===
kglobalacceld (6.5.5+p24.04+vstable+git20260119.0156-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 19 Jan 2026 01:56:33 +0000

kglobalacceld (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:29:02 +1000

## kglobalacceld 6.5.5+p24.04+vstable+git20260129.0148

=== debian/changelog ===
kglobalacceld (6.5.5+p24.04+vstable+git20260129.0148-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 01:48:12 +0000

## kglobalacceld 6.5.5+p24.04+vunstable+git20260116.0202

=== debian/changelog ===
kglobalacceld (6.5.5+p24.04+vunstable+git20260116.0202-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 02:02:32 +0000

## kglobalacceld 6.5.5+p24.04+vunstable+git20260205.0642

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 project(kglobalacceld)
 
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.6.80")
 
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)

=== debian/changelog ===
kglobalacceld (6.5.5+p24.04+vunstable+git20260205.0642-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 06:42:41 +0000

## kglobalacceld 6.6.1

=== debian/changelog ===
kglobalacceld (6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * Update symbols.
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:13:05 +0000

kglobalacceld (6.5.5-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Feb 2026 15:52:11 +0000

=== debian/control ===
--- 
+++ 
@@ -10,22 +10,22 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.18.0~),
-               libkf6config-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6crash-dev (>= 6.18.0~),
-               libkf6dbusaddons-dev (>= 6.18.0~),
-               libkf6globalaccel-dev (>= 6.18.0~),
-               libkf6jobwidgets-dev (>= 6.18.0~),
-               libkf6kio-dev (>= 6.18.0~),
-               libkf6service-dev (>= 6.18.0~),
-               libkf6windowsystem-dev (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6crash-dev (>= 6.22.0~),
+               libkf6dbusaddons-dev (>= 6.22.0~),
+               libkf6globalaccel-dev (>= 6.22.0~),
+               libkf6jobwidgets-dev (>= 6.22.0~),
+               libkf6kio-dev (>= 6.22.0~),
+               libkf6service-dev (>= 6.22.0~),
+               libkf6windowsystem-dev (>= 6.22.0~),
                libxcb-keysyms1-dev,
                libxcb-record0-dev,
                libxcb-xkb-dev,
                libxcb-xtest0-dev,
                libxcb1-dev,
-               qt6-base-dev (>= 6.9.0~),
+               qt6-base-dev (>= 6.10.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0

## kglobalacceld 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(kglobalacceld)
 
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.2")
 
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")

=== debian/changelog ===
kglobalacceld (6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:21:32 +0000
